/*
    404 [Pure Next] - Stylesheet
*/

@import url('https://fonts.googleapis.com/css2?family=Space+Mono:ital@0;1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');

:root {
    --primary-color: #ee0d0d;
    --secondary-color: #8d143e;
    --fade-color1: #a9347e;
    --fade-color2: #4b32a7;
    --white: #fff;
    --button: #ffcb39
}
    
* {
    box-sizing: border-box;
    margin:0;
    padding:0
}
body {
    background:url(../img/overlay_stars.svg) left top repeat,linear-gradient(to right bottom, var(--fade-color1), var(--fade-color2));
    background-size:400px, auto;
    color:var(--white);
    font-family:Space Mono, monospace;
    height:100vh;
    width:100vw
}

::selection {
    background: var(--primary-color);
    color: #fff;
  }
::-moz-selection {
    background: var(--primary-color);
    color: #fff;
}

ul {
    list-style:none;
    padding:0;
    margin:0
}
a {
    text-decoration:none;
    color:inherit
}
main {
    align-items: center;
    display: flex;
    justify-content: center;
    padding: 0 1rem;
    margin-top: 40px
}
.navbar {
    align-items:center;
    display:flex;
    justify-content:center;
    padding:1rem;
    font-size:1.2rem
}
.navbar ul {
    display:none
}
@media screen and (min-width: 420px) {
    .navbar {
        font-size:1rem;
        justify-content:space-between
    }
    .navbar ul {
        display:flex
    }
    .navbar ul li {
        padding:0.5rem 0.75rem
    }
    .navbar ul li::after {
        content:'';
        display:block;
        width:0;
        height:2px;
        background:var(--white);transition:width 0.3s
    }
    .navbar ul li:hover::after {
        width:100%
    }
}
.message {
    display: flex;
    flex-direction: column;
    align-items: center;
    letter-spacing: 1px;
    z-index: 2;
}
.message strong {
    font-size: 10rem
}
.message p {
    font-weight: 500;
    text-align: center;
}
.message .title {
    font-size:1.5rem;
    color:var(--button);
    margin-bottom:2rem
}
.message span {
    font-size: 0.7rem;
}
.message-text {
    max-width:700px;
    margin-bottom:4rem
}
.button {
    background-color:transparent;
    border:1px solid var(--button);
    border-radius:10px;
    color:inherit;
    cursor:pointer;
    font-size:0.8rem;
    padding:0.5rem 0.75rem
}
.button:hover {
    background-color:#ffd253;
    transition:all 0.4s ease
}
.box-astronaut {
    position:absolute;
    top:50%;
    right:20%;
    will-change:transform;
    animation:move-astronaut 50s infinite linear both alternate
}
.box-astronaut img {
    width:150px;
    animation:rotate-astronaut 200s infinite linear both alternate
}
@keyframes rotate-astronaut {
    100% {
        -webkit-transform:rotate(-720deg);
        transform:rotate(-720deg)
    }
}
@keyframes move-astronaut {
    100% {
        -webkit-transform:translate(-100px, -100px);
        transform:translate(-100px, -100px)
    }
}

.footer {
    position: absolute;
    bottom: 15px;
    right: 15px;
    font-family: 'Oswald', sans-serif;
    font-size: 14px;
    text-align: right;
}